Security Checked 100

Just a short reminder: If you can no longer access our website or mail/cloud/my it is probably because of the security standards we implement.

We are dropping <= TLSv1 and some rather old ciphers to keep you save.

To make that less technical:

You will need (when using apps coming with the OS)

  • Android 4.4.2 (or higher)
  • Windows 7 (or higher)
  • Windows Phone 8.1 (or higher)
  • Java 8u31 (or higher)
  • Safari 7 / iOS 7.1 (or higher)
  • macOS 10.7 (or higher)

to reach out to mail and other services (cloud/my) of us.